petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscViewerType

String with the name of a PETSc PETScViewer

### Synopsis

    typedef const char* PetscViewerType;
    #define PETSCVIEWERSOCKET       "socket"
    #define PETSCVIEWERASCII        "ascii"
    #define PETSCVIEWERBINARY       "binary"
    #define PETSCVIEWERSTRING       "string"
    #define PETSCVIEWERDRAW         "draw"
    #define PETSCVIEWERVU           "vu"
    #define PETSCVIEWERMATHEMATICA  "mathematica"
    #define PETSCVIEWERNETCDF       "netcdf"
    #define PETSCVIEWERHDF5         "hdf5"
    #define PETSCVIEWERVTK          "vtk"
    #define PETSCVIEWERMATLAB       "matlab"
    #define PETSCVIEWERSAWS          "saws"

### See Also

PetscViewerSetType(), PetscViewer, PetscViewerRegister(), PetscViewerCreate()

Level:beginner
Location:src/sys/classes/viewer/../../../../include/petscviewer.h
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages